Skip to main content
Create AAA profile
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Body

application/json

Authorization profile meta data

name
string
required

User defined name of the profile. Profile name is unique within an enterprise. Name can't be changed once created

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
defaultRoleId
string
required

Default Role ID to associate with the profile

Pattern: [0-9A-Za-z_=-]{28}
title
string
required

User defined title for the profile. Title can be changed anytime

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
enterpriseId
string

Parent enterprise ID of the authorization profile

Pattern: [0-9A-Za-z_=-]{28}
type
enum<string>
default:AUTH_TYPE_UNSPECIFIED

Type of the profile

Available options:
AUTH_TYPE_UNSPECIFIED,
AUTH_TYPE_LOCAL,
AUTH_TYPE_OAUTH,
AUTH_TYPE_SAML
oauthProfile
object

Oauth profile configuration details

passwordProfile
object
testOnly
boolean
active
boolean

Mark this profile as active. Only one profile can be active in a given enterprise

description
string

Detailed description of the profile

Maximum string length: 256
profileType
enum<string>
default:AUTH_PROFILE_TYPE_UNSPECIFIED

Authorization profile type

Available options:
AUTH_PROFILE_TYPE_UNSPECIFIED,
AUTH_PROFILE_TYPE_OAUTH_AZURE_AD,
AUTH_PROFILE_TYPE_OAUTH_GOOGLE,
AUTH_PROFILE_TYPE_OAUTH_CUSTOM,
AUTH_PROFILE_TYPE_LOCAL
disableAutoUserCreate
boolean

Do not automatically create new users if this is set

Response

A successful response.

token
Base64 encoded opaque token · object
action
enum<string>
default:CrudAction__INVALID__
Available options:
CrudAction__INVALID__,
CrudActionNotApplicable,
CrudActionCreate,
CrudActionRead,
CrudActionUpdate,
CrudActionDelete,
CrudActionQuery,
CrudActionQueryNext,
CrudActionReadSelf,
CrudActionUpdateSelf
result
object
read
object
query
object